### File

`packages/eui-mobile/packages/core/src/lib/components/euim-search-bar/euim-search-bar.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-search-bar`
standalone | `true`
imports | `EuimLabelModule` `IonicModule`
styleUrls | `./styles/_index.scss`
templateUrl | `./euim-search-bar.component.html`

### Index

###### Methods

- onCancel
- onChange
- onClear
- onFocus
- onInput

###### Inputs

- hasSlotEnd
- hasSlotStart

###### Outputs

- cancelEvent
- changeEvent
- clearEvent
- focusEvent
- inputEvent

### Inputs

hasSlotEnd
Type : `boolean`
Default value : `false`

hasSlotStart
Type : `boolean`
Default value : `false`

### Outputs

cancelEvent
Type : `EventEmitter`

changeEvent
Type : `EventEmitter`

clearEvent
Type : `EventEmitter`

focusEvent
Type : `EventEmitter`

inputEvent
Type : `EventEmitter`

### Methods

onCancel
`onCancel()`
Returns : `void`

onChange
`onChange(event: any)`

Parameters :

Name | Type | Optional
event | `any` | No

Returns : `void`

onClear
`onClear()`
Returns : `void`

onFocus
`onFocus()`
Returns : `void`

onInput
`onInput(event: any)`

Parameters :

Name | Type | Optional
event | `any` | No

Returns : `void`

# results matching ""

# No results matching ""